
QGIS Application - Bug report #111

scale bar in the wrong place

2006-05-12 09:52 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10170

Description

In the Italian version, the automatic placing of scale bar is wrong (top left), and overlaps the north arrow. When choosing the placement,

the definition of the placement is in English, whereas all others are in Italian.

History

#1 - 2006-05-12 12:33 PM - Gavin Macaulay -

This has happened before, and affects the scale bar and the north arrow. I can't recall or find how it was fixed, by Tim fixed it last time....

#2 - 2006-05-12 04:29 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in SVN commit:07fe394d (SVN r5445).

To avoid this sort of problem arising in the future with the north arrow and scale bar, I have changed the way in which the currently selected option is deal

with. It now uses ints rather than translated text. This will resolve some awkard problems to do with saving a project under one language and loading it

under a different language and vica-versa.

This change will cause the north arrow and scale bar locations to be reset to the defaults when loading a project saved before this commit (the project file

now stores ints, not the translated text).

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
